load('rounding_exact.sage')
p=FAProblem('SDP_n4_UB_F_edges2orientedblind__objective_P4.txt.dat-s')


optimal_value=-192  # What we think is the right solution
zerovectors=[[[3,0,2,0],[2,1,0,1]],[[1,1,1,1,1]]]

load("rounding_exact.sage")



newp=p.change_base(zerovectors)

# This rounding creates a projection and round that afterwards.

write_problem_file('altered_P4.dat-s',newp)
    
print "Solving altered_P4.dat-s using CSDP"
    #print subprocess.Popen("~/bin/csdp altered_P4.dat-s altered_P4.dat-s.result",shell=True,stdout=subprocess.PIPE).communicate()[0]
print subprocess.Popen("csdp altered_P4.dat-s altered_P4.dat-s.result",shell=True,stdout=subprocess.PIPE).communicate()[0]
print "If solution is too different from",optimal_value,"then you have a bad luck :-("
    


pa = FAProblem("altered_P4.dat-s")
pa.perform_rounding(optimal_value)


solutionRounded = (2, 46049465833/10000000000, 296205213/9765625, 53950534167/2500000000, 86668871769/5000000000, 9145312787/500000000, -4918199637/250000000, 13590979089/500000000, 3, -23235494271/1000000000, 14409020911/500000000, -5152627489/500000000, 74628867029/500000000)

M = linearToMatrix(3,[2, 4, 0], solutionRounded)

if M[0].is_positive_definite() and M[1].is_positive_definite():
    print "Provided solution is positive definite"


if min(checkSolution(pa.problem, solutionRounded)) == -192:
    print "Solution success"


