load('rounding_exact.sage')
p=FAProblem('SDP_n5_UB_F_edges2orientedblind__objective_P5.txt.dat-s')


optimal_value=-5  # What we think is the right solution
extremalVectors=[
                 [[4,0,0,0,0,0,0,0,0,0,2,0,0,0],[3,0,0,1,1,0,0,0,0,0,0,0,0,1],[2,0,0,2,2,0,0,0,0,0,0,0,0,0],[3,0,1,0,0,1,0,0,0,0,0,0,1,0],[3,1,0,0,0,0,1,0,0,0,0,1,0,0],[3,0,0,0,0,0,0,1,1,1,0,0,0,0],[2,0,2,0,0,2,0,0,0,0,0,0,0,0],[2,2,0,0,0,0,2,0,0,0,0,0,0,0]]
                 ,[[1,1,1,1,0,0,0,1,0,0,0,0,0,0,1,0,0,0],[1,1,1,0,1,0,1,0,0,0,0,0,0,0,0,1,0,0]]
                 ,[[2,1,1,0,0,0,0,0,0,1,1,0,0,0]]
                 ,[[1,1,1,0,0,0,0,1,1,1,0,0,0]]
                 ,[]
                 ,[[12,4,8,4,2,4,2,0]]]

file = 'altered_P5.dat-s'


newp=p.change_base(extremalVectors)
write_problem_file('altered_P5.dat-s',newp)
print "Solving",file,"altered_P5.dat-s using CSDP"
print subprocess.Popen("csdp "+file+" " + file+".result",shell=True,stdout=subprocess.PIPE).communicate()[0]
print "If solution is too different from",optimal_value,"then you have a bad luck :-("


pa = FAProblem(file)
pa.perform_rounding(optimal_value)

output = open(file+".rounded.pkl",'wb')
pickle.dump( pa.solutionRounded, output)
output.close()


input = open(file+".rounded.pkl",'rb')
solutionRounded = pickle.load(input)
input.close()
x = checkSolution(pa.problem,solutionRounded)
print "if ", min(x), " == ", optimal_value, " everything is good"

#pa.perform_rounding(optimal_value)


